id: '75dbc67f-bd89-4e61-accb-1d3028d8c666'
name: 'PostgreSQL_dvdrental'
timestamp: '2024-09-17T10:54:20.3212061Z'
sourceSystem:
  type: 'PostgreSQL'
sourceObjects:
- name: 'actor'
  objectType: {}
  terms:
  - name: 'actor_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'first_name'
    sourceDataType:
      name: 'varchar'
      length: 45
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_name'
    sourceDataType:
      name: 'varchar'
      length: 45
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'film'
  objectType: {}
  terms:
  - name: 'film_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'title'
    sourceDataType:
      name: 'varchar'
      length: 255
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'description'
    sourceDataType:
      name: 'text'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'release_year'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'language_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rental_duration'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rental_rate'
    sourceDataType:
      name: 'numeric'
      scale: 2
      precision: 4
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'length'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'replacement_cost'
    sourceDataType:
      name: 'numeric'
      scale: 2
      precision: 5
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rating'
    sourceDataType:
      name: 'mpaa_rating'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'special_features'
    sourceDataType:
      name: '_text'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'fulltext'
    sourceDataType:
      name: 'tsvector'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'store'
  objectType: {}
  terms:
  - name: 'store_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'manager_staff_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'address_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'address'
  objectType: {}
  terms:
  - name: 'address_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'address'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'address2'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'district'
    sourceDataType:
      name: 'varchar'
      length: 20
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'city_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'postal_code'
    sourceDataType:
      name: 'varchar'
      length: 10
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'phone'
    sourceDataType:
      name: 'varchar'
      length: 20
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'category'
  objectType: {}
  terms:
  - name: 'category_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'name'
    sourceDataType:
      name: 'varchar'
      length: 25
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'city'
  objectType: {}
  terms:
  - name: 'city_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'city'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'country_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'country'
  objectType: {}
  terms:
  - name: 'country_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'country'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'customer'
  objectType: {}
  terms:
  - name: 'customer_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'store_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'first_name'
    sourceDataType:
      name: 'varchar'
      length: 45
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_name'
    sourceDataType:
      name: 'varchar'
      length: 45
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'email'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'address_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'activebool'
    sourceDataType:
      name: 'bool'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'create_date'
    sourceDataType:
      name: 'date'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'active'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'film_actor'
  objectType: {}
  terms:
  - name: 'actor_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'film_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'film_category'
  objectType: {}
  terms:
  - name: 'film_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'category_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'inventory'
  objectType: {}
  terms:
  - name: 'inventory_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'film_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'store_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'language'
  objectType: {}
  terms:
  - name: 'language_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'name'
    sourceDataType:
      name: 'bpchar'
      length: 20
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'rental'
  objectType: {}
  terms:
  - name: 'rental_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rental_date'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'inventory_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'customer_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'return_date'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'staff_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'staff'
  objectType: {}
  terms:
  - name: 'staff_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'first_name'
    sourceDataType:
      name: 'varchar'
      length: 45
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_name'
    sourceDataType:
      name: 'varchar'
      length: 45
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'address_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'email'
    sourceDataType:
      name: 'varchar'
      length: 50
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'store_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'active'
    sourceDataType:
      name: 'bool'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'username'
    sourceDataType:
      name: 'varchar'
      length: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'password'
    sourceDataType:
      name: 'varchar'
      length: 40
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'last_update'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'picture'
    sourceDataType:
      name: 'bytea'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'payment'
  objectType: {}
  terms:
  - name: 'payment_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: true
    isForeignKey: false
    isDefaultTerm: false
  - name: 'customer_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'staff_id'
    sourceDataType:
      name: 'int2'
      scale: 0
      precision: 16
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rental_id'
    sourceDataType:
      name: 'int4'
      scale: 0
      precision: 32
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'amount'
    sourceDataType:
      name: 'numeric'
      scale: 2
      precision: 5
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'payment_date'
    sourceDataType:
      name: 'timestamp'
      isNullable: false
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
